aboutsummaryrefslogtreecommitdiffstats
path: root/docs
diff options
context:
space:
mode:
authorAldo Cortesi <aldo@corte.si>2018-03-05 10:51:46 +1300
committerAldo Cortesi <aldo@corte.si>2018-03-05 10:51:46 +1300
commita68c7ffb27278c4e2aea4d2d8a87ee15a86bcd88 (patch)
tree3c86ecc7bc7b9e224c54f493683c61762cb505a7 /docs
parent08e50aa39bbc5108404e865091e46b4fd2c1f479 (diff)
downloadmitmproxy-a68c7ffb27278c4e2aea4d2d8a87ee15a86bcd88.tar.gz
mitmproxy-a68c7ffb27278c4e2aea4d2d8a87ee15a86bcd88.tar.bz2
mitmproxy-a68c7ffb27278c4e2aea4d2d8a87ee15a86bcd88.zip
docs: add build and upload scripts
The upload scripts might be unified down the track, or might not. CloudFront is not set up for the docs bucket yet, so CDN invalidation is commented out. This will be added later.
Diffstat (limited to 'docs')
-rwxr-xr-xdocs/build3
-rwxr-xr-xdocs/upload-archive17
-rwxr-xr-xdocs/upload-master8
-rwxr-xr-xdocs/upload-stable8
4 files changed, 36 insertions, 0 deletions
diff --git a/docs/build b/docs/build
new file mode 100755
index 00000000..1ca3fdb8
--- /dev/null
+++ b/docs/build
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+cd src; hugo \ No newline at end of file
diff --git a/docs/upload-archive b/docs/upload-archive
new file mode 100755
index 00000000..5622a2ae
--- /dev/null
+++ b/docs/upload-archive
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+if [[ $# -eq 0 ]] ; then
+ echo "Please supply a version, e.g. 'v3'"
+ exit 1
+fi
+
+# This script uploads docs to a specified archive version.
+
+SPATH="/archive/$1"
+
+aws configure set preview.cloudfront true
+aws --profile mitmproxy \
+ s3 sync --acl public-read ./public s3://docs.mitmproxy.org$SPATH
+# aws --profile mitmproxy \
+# cloudfront create-invalidation --distribution-id E3UCZ4MLN4TO7U \
+# --paths "$SPATH"
diff --git a/docs/upload-master b/docs/upload-master
new file mode 100755
index 00000000..c8fcda80
--- /dev/null
+++ b/docs/upload-master
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+aws configure set preview.cloudfront true
+aws --profile mitmproxy \
+ s3 sync --acl public-read ./public s3://docs.mitmproxy.org/master
+# aws --profile mitmproxy \
+# cloudfront create-invalidation --distribution-id E3UCZ4MLN4TO7U \
+# --paths "/master"
diff --git a/docs/upload-stable b/docs/upload-stable
new file mode 100755
index 00000000..7c658113
--- /dev/null
+++ b/docs/upload-stable
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+aws configure set preview.cloudfront true
+aws --profile mitmproxy \
+ s3 sync --acl public-read ./public s3://docs.mitmproxy.org/stable
+# aws --profile mitmproxy \
+# cloudfront create-invalidation --distribution-id E3UCZ4MLN4TO7U \
+# --paths "/master"